> ## Documentation Index
> Fetch the complete documentation index at: https://docs.soharhealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Pulse



## OpenAPI

````yaml post /v1/pulse
openapi: 3.0.0
info:
  version: 1.0.0
  title: Sohar API
  license:
    name: MIT
servers:
  - url: https://api.soharhealth.com
security: []
paths:
  /v1/pulse:
    post:
      tags:
        - Pulse
      summary: Create Pulse
      operationId: createPulse
      parameters:
        - $ref: '#/components/parameters/IdempotencyKey'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePulseRequest'
      responses:
        '201':
          description: A pulse ID
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreatePulseResponse'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - invalid_request_error
                    default: invalid_request_error
                  param:
                    type: string
                    example: memberId
                  id:
                    type: string
                    example: '12345'
        '403':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - invalid_request_error
                    default: invalid_request_error
        '429':
          $ref: '#/components/responses/RateLimitExceeded'
        '500':
          description: Internal error
      security:
        - BasicAuth: []
components:
  parameters:
    IdempotencyKey:
      in: header
      name: Idempotency-Key
      required: false
      description: >-
        A UUID v4 used to safely retry this request without creating a
        duplicate. See [Idempotency](/api-reference/api-reference/idempotency).
      schema:
        type: string
        format: uuid
        example: f47ac10b-58cc-4372-a567-0e02b2c3d479
  schemas:
    CreatePulseRequest:
      required:
        - patient
        - payerId
      type: object
      properties:
        patient:
          required:
            - firstName
            - lastName
            - dateOfBirth
            - state
          type: object
          properties:
            firstName:
              type: string
              description: The patient's first name
              example: John
            lastName:
              type: string
              description: The patient's last name
              example: Doe
            dateOfBirth:
              type: string
              description: The patient's birth date in MM/DD/YYYY format
              pattern: ^(0[1-9]|1[0-2])\/(0[1-9]|[12][0-9]|3[01])\/(19|20)\d\d$
              example: 09/20/2023
            state:
              type: string
              description: Two-letter US state code
              enum:
                - AK
                - AL
                - AR
                - AZ
                - CA
                - CO
                - CT
                - DC
                - DE
                - FL
                - GA
                - HI
                - IA
                - ID
                - IL
                - IN
                - KS
                - KY
                - LA
                - MA
                - MD
                - ME
                - MI
                - MN
                - MO
                - MS
                - MT
                - NC
                - ND
                - NE
                - NH
                - NJ
                - NM
                - NV
                - NY
                - OH
                - OK
                - OR
                - PA
                - RI
                - SC
                - SD
                - TN
                - TX
                - UT
                - VA
                - VT
                - WA
                - WI
                - WV
                - WY
              example: CA
            memberId:
              type: string
              nullable: true
              description: The insurance member ID
              example: '00000000'
        payerId:
          type: string
          description: >-
            The payer ID. See the Sohar [payer
            list](https://docs.soharhealth.com/api-reference/payers/get-payers)
          format: uuid
          example: '62308'
        providerGroupId:
          type: string
          format: uuid
          description: >-
            Optional provider group ID. When provided, Sohar selects request
            providers only from this group.
        id:
          type: string
          description: An optional identifier for the pulse
          example: '123456'
          maxLength: 255
    CreatePulseResponse:
      type: object
      properties:
        pulseId:
          type: string
          description: The Sohar ID for the request
          format: uuid
          example: fb701ac1-1246-4860-b1ec-bd916b97a991
        id:
          type: string
          nullable: true
          description: >-
            An optional identifier for the pulse. If not provided in the
            request, this field will be omitted from the response.
          example: '123456'
  responses:
    RateLimitExceeded:
      description: >-
        Too many requests. See [Rate
        Limits](/api-reference/api-reference/rate-limits).
      content:
        application/json:
          schema:
            type: object
            required:
              - error
            properties:
              error:
                type: string
          example:
            error: Too many requests
  securitySchemes:
    BasicAuth:
      type: http
      scheme: bearer
      description: >-
        Include an OAuth 2.0 bearer token in the `Authorization` header. See
        [Authentication](/api-reference/api-reference/authentication).

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.